Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class RequestAcceptEncoding

    java.lang.Object
      org.apache.http.client.protocol.RequestAcceptEncoding

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestAcceptEncoding

extends Object
implements HttpRequestInterceptor

Class responsible for handling Content Encoding requests in HTTP.

Instances of this class are stateless, therefore they're thread-safe and immutable.

Since:
  4.1
See Also:
  "http://www.w3.org/Protocols/rfc2616/rfc2616-sec3.html#sec3.5"

Constructor Summary
`RequestAcceptEncoding()`

Method Summary
`void` | `process(HttpRequest request, HttpContext context)` Adds the header `"Accept-Encoding: gzip,deflate"` to the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestAcceptEncoding

    public RequestAcceptEncoding()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Adds the header `"Accept-Encoding: gzip,deflate"` to the request.

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Throws:
    `HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.